org.apache.olingo.commons.api.edm.provider

## Enum CsdlOnDeleteAction

- java.lang.Object
- - java.lang.Enum<CsdlOnDeleteAction>
  - - org.apache.olingo.commons.api.edm.provider.CsdlOnDeleteAction

- All Implemented Interfaces:
    Serializable, Comparable<CsdlOnDeleteAction>

      public enum CsdlOnDeleteAction
      extends Enum<CsdlOnDeleteAction>

  The enum Csdl on delete action.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Cascade` The Cascade.
    `None` The None.
    `SetDefault` The SetDefault.
    `SetNull` The SetNull.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CsdlOnDeleteAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CsdlOnDeleteAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Cascade

          public static final CsdlOnDeleteAction Cascade

      The Cascade.

    - #### None

          public static final CsdlOnDeleteAction None

      The None.

    - #### SetNull

          public static final CsdlOnDeleteAction SetNull

      The SetNull.

    - #### SetDefault

          public static final CsdlOnDeleteAction SetDefault

      The SetDefault.

  - ### Method Detail

    - #### values

          public static CsdlOnDeleteAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CsdlOnDeleteAction c : CsdlOnDeleteAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CsdlOnDeleteAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.